# Room View Plugin

This unofficial TaleSpire plugin automatically hides/reveals hide volumes (e.g. rooms) based on mini location(s).
Support multiple minis with ability for minis to split up and minis (e.g. foes) that don't hide/reveal.

Video Link: https://youtu.be/Q08y9fv01G0

This plugin, like all others, is free but if you want to donate, use: http://LordAshes.ca/TalespireDonate/Donate.php

## Change Log

```
2.0.0: Fix for BR HF Integration update
1.0.0: Initial release
```

## Install

Use R2ModMan or similar installer to install this plugin.

### Initial Setup Usage

This needs to be done once per board. It does NOT need to be repeated each time the board is loaded.

1. Start Talespire
2. Create hide volumes for each area (e.g. room)
3. Add minis and name all minis that will hide/reveal rooms
4. Save and exit Talespire
5. Edit R2ModMan config and update the list of mini names that will hide/reveal
6. Save configuration changes

### Board Load Initialization

This needs to be done each time the board is loaded.

1. Start Talespire
2. Open the Hide Volume Menu (default LCTRL+H)
3. Initialize the Room View Plugin (default RCTRL+H)
4. Optionally close the Hide Volume Menu (default LCTRL+H)

The Room View plugin is now ready to go.

### Room View Usage

Move revealing minis from revealed area to an unrevealed area and the hide volumes will automatically be hidden
and revealed based on the location of all revealing minis (i.e. minis whose name was configured in the revealing
list for this plugin).

Moving minis that are not on the revealing list has no effect on the hide volumes.

The Hide Volumes can still be revealed and hidden manually but as soon as the mini moves, the hide volumes will
resync based on the revealing minis locations.


## Creating Areas (Rooms) Compatible With Room View Plugin

Any tile that is in any Hide Volume that is hidden will not be shown. As such the following tips are recommended
when making areas for the Room View plugin:

1. Use double walls. By using double walls, no matter which room is shown, the wall will be there. If only a single
   wall, between rooms ,is used then it can only be included as part of one hide volume and thus will appear as a
   hole when that hide volume is hidden.
   
2. Use double door. For the same reason as above, if a double door is used, one of the two doors will be visible no
    matter which of the adjojning rooms is visible. This does mean opening two doors when a door is opened but if
	only a single door is used, one of the two adjoining rooms will have a hole when visisble.
	
3. If using elevation, keep the floor out of the hide volume. When minis move into an unrevealed area, the content
   of the room is not present yet and thus the mini will fall to the base elevation or down to a tile that is not
   being hidden by the hide volume. Once the hide volume is revealed the mini is lifted slightly and dropped to
   try to compensate for falling through the floor.
   
4. If you want an effect such a being able to always see the outside walls of a building (so it can be seen when
   standing outside the building) but not reveal any of the interior rooms, create the outer wall so that it is not
   in the hide volumes. This way such walls will always be visible regardless of the location of the minis.
